Subject: RE: [PATCH] APM821xx: Add support for new SoC APM821xx

From: Tirumala Marri <[email-masked]>
Date: Wed, 8 Sep 2010 10:27:25 -0700

> > CPU portion uses SoC name.
>
> Hm, you're right. Confusing.
>
> Still, the cpu setup functions would make more sense to have the core
> name in, not the SoC name. Especially since multiple SoC families might
> use the same core, etc.
[Marri] I agree. Probably we need another node which identifies SoC as
well.

> > Different features from other.
>
> Actually, it doesn't. Linus has had a strong pushback to the ARM
> community
> because of this mentality. arch/powerpc already has 100 defconfigs.
>
> The use of devicetrees means that only the actual devices on your
> board,
> will be configured, so it doesn't do any damage to compile in more
> drivers
> than you happen to have. Thus generating a defconfig that is a superset
> of some of your more common boards, or for example one per family of
> boards.
>
> One of the arguments for having custom defconfigs per board is that
> customers that
> base designs off of your eval board needs them. But they will make
> other changes
> to the config to add drivers for whatever additional devices they have
> anyway.
[Marri] I see. I am working on the modifications.
Thanks
-marri